Phyterya now supports Minecraft 1.16
#1
Exclamation 

Hey everyone!

Minecraft 1.16 is out! The Phyterya Server has now been updated to support the new version.

As such, at this time, we do support the following versions:
1.7, 1.8, 1.9, 1.10, 1.11, 1.12, 1.13, 1.14, 1.15 and 1.16!

If you come across any sort of exploits, bugs, issues, or anything else, please reach out to us using our contact form.
Reply
#2

that is super cool!

this is an inactive test account.
Reply
#3

very cool!
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)